stages: 
  - deploy
before_script: 
  - sfdx force:auth:jwt:grant --clientid $CONSUMER_KEY --username $HUB_USERNAME --jwtkeyfile $JWT_KEY_FILE --setdefaultdevhubusername --instanceurl https://login.salesforce.com
prod_deploy: 
  stage: deploy
  tags: 
    - prod_deploy
  script:
    - sfdx force:source:deploy -p force-app -l RunLocalTests -u $HUB_USERNAME
  only:
    - master
validation_deploy: 
  stage: deploy
  tags: 
    - test_check
  script:
    - sfdx force:source:deploy -p force-app -l RunLocalTests -u $HUB_USERNAME --checkonly
    - sfdx force:apex:execute -f scripts/apex/hello.apex -u $HUB_USERNAME
  only:
    - merge_requests